Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jeri
Interface InvocationDispatcher

All Known Implementing Classes:
  BasicInvocationDispatcher

public interface InvocationDispatcher

An abstraction used to handle incoming call requests for a remote object. When exporting a remote object using a `BasicJeriExporter`, an invocation dispatcher (and proxy) is created via the `InvocationLayerFactory` in the exporter.

An invocation dispatcher is generally responsible for reading a representation of the method to be invoked, unmarshalling the arguments for the invocation, invoking the method on the target remote object with those arguments, and marshalling the result of that invocation.

Since:
  2.0
See Also:
  `BasicJeriExporter`

Method Summary
`void` | `dispatch(Remote impl, InboundRequest request, Collection context)` Dispatches the invocation represented by an `InboundRequest` to the specified remote object.

Method Detail

### dispatch

    public void dispatch(Remote impl,
                         InboundRequest request,
                         Collection context)

  Dispatches the invocation represented by an `InboundRequest` to the specified remote object.

  Dispatching the invocation generally entails:

  - reading, from the inbound call object's input stream, a representation of the method to be invoked and unmarshalling the arguments for the invocation,
  - invoking the method on the target remote object with those arguments, and
  - marshalling, to the inbound call object's output stream, the result.

  The result should generally be encoded in a manner that will indicate to the reader of the response whether the result is a return value or an exception.

  Parameters:
    `impl` - a remote object
    `request` - inbound request object for reading arguments and writing the result
    `context` - a modifiable server context collection
  Throws:
    `NullPointerException` - if any argument is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved